--
-- Insertion of a contact and updating status
--
-- @version $Id: msg5.sql 196 2009-05-23 18:35:34Z nichele $
--

--
-- George, Ford
--
INSERT INTO fnbl_pim_contact (id, userid, last_update, status, importance,
sensitivity, subject, folder, anniversary, first_name, middle_name, last_name,
display_name, birthday, body, categories, children, hobbies, initials,
languages, nickname, spouse, suffix, title, gender, assistant, company,
department, job_title, manager, mileage, office_location, profession, companies)
VALUES (
150,
'guest',
0,
'N',
NULL,
NULL,
NULL,
NULL,
NULL,
'Ford',
NULL,
'George',
'George, Ford',
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
'Company',
NULL,
'Business Developer',
NULL,
NULL,
NULL,
NULL,
NULL);

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (150, 4, 'gford@somewhere.com');

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (150, 10, '+1 469 1234567');

update fnbl_pim_contact
set status='U',
    last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='scard'
                  )
where id=150;
