--
-- Insertion, updating and deletion of calendar tasks
--
-- @version $Id: msg5.sql 196 2009-05-23 18:35:34Z nichele $
--
insert into fnbl_pim_calendar (id,userid,last_update,status,type,all_day,body,
busy_status,categories,companies,birthday,duration,dstart,dend,importance,
location,meeting_status,mileage,reminder_time,reminder,reminder_sound_file,
reminder_options,reminder_repeat_count,sensitivity,subject,rec_type,
rec_interval,rec_month_of_year,rec_day_of_month,rec_day_of_week_mask,
rec_instance,rec_start_date_pattern,rec_no_end_date,rec_end_date_pattern,
rec_occurrences,reply_time,completed,percent_complete)
values (
10,
'guest',
0,
'N',
2,
1,
'Identify speakers for the Conference',
null,
'',
null,
null,
0,
'2007-03-10 01:00:00',
'2007-03-11 00:59:00',
null,
'Toronto',
null,
null,
null,
0,
null,
0,
0,
0,
'Identify speakers',
-1,
0,
0,
0,
null,
0,
null,
0,
null,
-1,
null,
null,
1
);

UPDATE fnbl_pim_calendar
SET status='N',
    last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='task'
                  )
WHERE id='10';

UPDATE fnbl_pim_calendar
SET status='U',
    last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='task'
                  ),
    body='Update the Balance for the administration meeting'
WHERE id='1';

UPDATE fnbl_pim_calendar
SET status='D',
    last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='task'
                  )
WHERE id='2';
