--
-- Insertion, updating and deletion of calendar events
--
-- @version $Id: msg5.sql 196 2009-05-23 18:35:34Z nichele $
--
insert into fnbl_pim_calendar (id,userid,last_update,status,type,all_day,body,
busy_status,categories,companies,birthday,duration,dstart,dend,importance,
location,meeting_status,mileage,reminder_time,reminder,reminder_sound_file,
reminder_options,reminder_repeat_count,sensitivity,subject,rec_type,
rec_interval,rec_month_of_year,rec_day_of_month,rec_day_of_week_mask,
rec_instance,rec_start_date_pattern,rec_no_end_date,rec_end_date_pattern,
rec_occurrences,dstart_tz,dend_tz,reminder_tz,reply_time)
values (
10,
'guest',
0,
'N',
1,
0,
'American Water Works Association Annual Conference',
null,
null,
null,
null,
0,
'2007-03-09 09:00:00',
'2007-03-09 23:30:00',
null,
'Toronto',
null,
null,
null,
0,
null,
0,
0,
0,
'American Water Works Association Annual Conference',
-1,
0,
0,
0,
null,
0,
null,
0,
null,
-1,
'America/Toronto',
'America/Toronto',
'America/Toronto',
null
);

UPDATE fnbl_pim_calendar
SET status='N',
    last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='event'
                  )
WHERE id='10';

UPDATE fnbl_pim_calendar
SET status='U',
    last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='event'
                  ),
    body='By International Foundation of Employee Benefit Plans'
WHERE id='1';

UPDATE fnbl_pim_calendar
SET status='D',
    last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='event'
                  )
WHERE id='2';
