--
-- Initialization data for testing
--
-- @version $Id: msg1.sql 108 2009-04-19 21:03:14Z nichele $
--
UPDATE fnbl_id SET counter=1, increment_by=1 WHERE idspace='pim.id';
DELETE FROM fnbl_client_mapping WHERE principal=
 (SELECT MIN(id) FROM fnbl_principal WHERE username='guest');
DELETE FROM fnbl_last_sync WHERE principal=
 (SELECT MIN(id) FROM fnbl_principal WHERE username='guest');
DELETE FROM fnbl_pim_calendar_exception WHERE calendar in
 (SELECT id FROM fnbl_pim_calendar WHERE userid='guest');
DELETE FROM fnbl_pim_calendar WHERE userid='guest';

insert into fnbl_pim_calendar (id,userid,last_update,status,type,all_day,body,
busy_status,categories,companies,birthday,duration,dstart,dend,importance,
location,meeting_status,mileage,reminder_time,reminder,reminder_sound_file,
reminder_options,reminder_repeat_count,sensitivity,subject,rec_type,
rec_interval,rec_month_of_year,rec_day_of_month,rec_day_of_week_mask,
rec_instance,rec_start_date_pattern,rec_no_end_date,rec_end_date_pattern,
rec_occurrences,reply_time)
values (
1,
'guest',
0,
'N',
1,
0,
'On Dec. 17, 2006, Rabbis for Human Rights opened it is first International Conference on Human Rights with a public ritual near the united Nations in New York.
The intricate weave of stories, prayers and words from a variety of Jewish, Muslim and Christian religious leaders, set the tone for the remarkable trans-denominational gathering of clergy that followed. Designed by Rabbi Michael Strassfeld of JRF congregation SAJ, the ritual took place as eight large symbolic candles were kindled taking different stands against the abuse of human rights around the world. From the writings of Nelson Mandela (in Architects of Peace): I was not born with a hunger to be free.
I was born free: free in every way that I could know.
Free to run in the fields near my mother is hut, free to swim in the clear stream that ran through my village, free to roast mealies under the stars and ride the broad backs of slow-moving bulls.  As long as I obeyed my father and abided by the customs of my tribe, I was not troubled by the laws of man or God. It was only when I began to learn that my boyhood freedom was an illusion, when I discovered as a young man that my freedom had already been taken from me, that I began to hunger for it. Later, as a young man in Johannesburg, I yearned for the basic and honorable freedoms of achieving my potential, or earning my keep, of marrying and having a family: the freedom ...',
null,
null,
null,
null,
0,
'2007-10-14 08:00:00',
'2007-10-14 22:30:00',
null,
'New York',
null,
null,
null,
0,
null,
0,
0,
0,
'A Ritual Celebration of the Universal Declaration of Human Rights',
-1,
0,
0,
0,
null,
0,
null,
0,
null,
-1,
null
);

insert into fnbl_pim_calendar (id,userid,last_update,status,type,all_day,body,
busy_status,categories,companies,birthday,duration,dstart,dend,importance,
location,meeting_status,mileage,reminder_time,reminder,reminder_sound_file,
reminder_options,reminder_repeat_count,sensitivity,subject,rec_type,
rec_interval,rec_month_of_year,rec_day_of_month,rec_day_of_week_mask,
rec_instance,rec_start_date_pattern,rec_no_end_date,rec_end_date_pattern,
rec_occurrences,reply_time)
values (
2,
'guest',
0,
'N',
1,
0,
'Founded in 1953, the American Conference of Cantors is a thriving professional organization that currently represents over 450 cantors in North America and around the world as klei kodesh (holy vessels), serving the diverse needs of Klal Yisrael (the Jewish people). The ACC exists to support its members in their sacred calling as emissaries for Judaism and for Jewish music. We draw upon the energies and aspirations of our members through a shared and dynamic vision of programs and initiatives that respond to the needs of the greater Reform community.
Welcome to the Cantorial Placement Process, overseen by the Joint Cantorial Placement Commission and administered by the American Conference of Cantors. The ACC is the professional organization of cantors associated with the Reform Movement and with the School of Sacred Music of the Hebrew Union College-Jewish Institute of Religion. Our members serve communities throughout North America and beyond.
For questions regarding the Placement process, please feel free to contact our Placement Director, Cantor Barbara Ostfeld, at 716-568-1125, or by e-mail at bjostfeld@adelphia.net. You may also contact the Placement Office with general questions at 312-491-1034.
Thinking of warmer weather?   We are! The 2007 ACC/GTM Hudson Valley Convention is right around the corner! Registration materials will soon be in your mailboxes. In them you will find details about the exciting time.',
null,
null,
null,
null,
0,
'2007-09-09 20:00:00',
'2007-09-09 23:30:00',
null,
'Los Angeles',
null,
null,
null,
0,
null,
0,
0,
0,
'American Conference of Cantors',
-1,
0,
0,
0,
null,
0,
null,
0,
null,
-1,
null
);

insert into fnbl_pim_calendar (id,userid,last_update,status,type,all_day,body,
busy_status,categories,companies,birthday,duration,dstart,dend,importance,
location,meeting_status,mileage,reminder_time,reminder,reminder_sound_file,
reminder_options,reminder_repeat_count,sensitivity,subject,rec_type,
rec_interval,rec_month_of_year,rec_day_of_month,rec_day_of_week_mask,
rec_instance,rec_start_date_pattern,rec_no_end_date,rec_end_date_pattern,
rec_occurrences,reply_time)
values (
3,
'guest',
0,
'N',
1,
0,
'The International Conference on Romanticism was formally founded in 1991 after many years of discussion.
The society was founded by a group of scholars from America and abroad and was incorporated as a non-profit scholarly entity in 1993. The ICR is a learned society that seeks to promote, maintain, and improve teaching, research, and related endeavors in the field of Romanticism studies, and to facilitate communication among scholars and teachers through annual meetings and publications. A forum for colleagues in literature, philosophy, history, musicology, history of science, art history, and other disciplines, the International Conference on Romanticism has an interdisciplinary and international membership. Since its inception the fundamental aim of the organization has been to pursue the study of Romanticism without favoring particular linguistic, national, or political traditions, or academic disciplines, either explicitly or implicitly. The society meetings and publications reflect this purpose.
Prism(s): Essays in Romanticism is the first scholarly journal specifically devoted to the interdisciplinary and cross-linguistic study of Romanticism. This ICR sponsored publication is now in its thirteenth year of publication. All members receive the journal as part of their membership package. The editorial board consists of approximately fifteen scholars from a number of disciplines who have expertise in  ...',
null,
null,
null,
null,
0,
'2007-02-14 08:00:00',
'2007-02-14 22:30:00',
null,
'Baltimore',
null,
null,
null,
0,
null,
0,
0,
0,
'The International Conference on Romanticism',
-1,
0,
0,
0,
null,
0,
null,
0,
null,
-1,
null
);
